device/kernel/tensor_elementwise.h File Reference
`#include <curand_kernel.h>`
`#include "cutlass/cutlass.h"`
Include dependency graph for device/kernel/tensor_elementwise.h:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::device
| cutlass::reference::device::kernel

## Functions

template<typename T >
__global__ void | cutlass::reference::device::kernel::TensorInitializeUniform (Distribution dist, int64_t seed, int dim_contiguous, int dim_strided, T *tensor, int ldm)
| Kernel to initialize tensor to uniform random distribution. More...
template<typename T >
__global__ void | cutlass::reference::device::kernel::TensorInitializeGaussian (Distribution dist, int64_t seed, int dim_contiguous, int dim_strided, T *tensor, int ldm)
| Kernel to initialize tensor to uniform distribution. More...
template<typename T >
__global__ void | cutlass::reference::device::kernel::TensorInitializeLinear (Distribution dist, int64_t seed, int dim_contiguous, int dim_strided, T *tensor, int ldm)
| Kernel to initialize tensor to an identity matrix. More...
template<typename T >
__global__ void | cutlass::reference::device::kernel::TensorInitializeIdentity (Distribution dist, int64_t seed, int dim_contiguous, int dim_strided, T *tensor, int ldm)
| Kernel to initialize tensor to an identity matrix. More...